Skip to main content
POST
/
api
/
v1
/
contacts
/
{id}
/
dates
Add a significant date to a contact (birthday, anniversary, etc.).
curl --request POST \
  --url https://api.backside.app/api/v1/contacts/{id}/dates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "date_type": "<string>",
  "date_day": 123,
  "date_label": "<string>",
  "date_month": 123,
  "date_year": 123
}
'
{
  "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "date_type": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "date_day": 123,
  "date_label": "<string>",
  "date_month": 123,
  "date_year": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Contact ID

Body

application/json
date_type
string
required
date_day
integer<int32> | null
date_label
string | null
date_month
integer<int32> | null
date_year
integer<int32> | null

Response

201 - application/json

Date added

contact_id
string<uuid>
required
created_at
string<date-time>
required
date_type
string
required
id
string<uuid>
required
metadata
any
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
date_day
integer<int32> | null
date_label
string | null
date_month
integer<int32> | null
date_year
integer<int32> | null